<?xml version="1.0"?>
<configuration>
  <parser_instructions>
          <!-- NOTE: entries here are used by the parser when generating output -->
          <!-- NOTE: each filename must be on it's own line as in variable=value-->
          WRITE_PROTECT_BOUNDARY_IN_KB    = 65536
          GROW_LAST_PARTITION_TO_FILL_DISK= true
  </parser_instructions>

  <!-- NOTE: "physical_partition" are listed in order and apply to devices such as eMMC cards that have (for example) 3 physical partitions -->
  <!-- This is physical partition 0 -->
  <physical_partition>
    <!-- NOTE: Define information for each partition, which will be created in order listed here -->
    <!-- NOTE: Place all "readonly=true" partitions side by side for optimum space usage -->
    <!-- NOTE: If OPTIMIZE_READONLY_PARTITIONS=true, then partitions won't be in the order listed here -->
    <!--       they will instead be placed side by side at the beginning of the disk -->
	<partition label="modem" size_in_kb="65536" type="EBD0A0A2-B9E5-4433-87C0-68B6B72699C7" bootable="false" readonly="true" filename="NON-HLOS.bin"/>
	<partition label="sbl1" size_in_kb="512" type="DEA0BA2C-CBDD-4805-B4F9-F428251C3E98" bootable="false" readonly="false" filename="sbl1.mbn"/>
	<partition label="sdi" size_in_kb="128" type="D4E0D938-B7FA-48C1-9D21-BC5ED5C4B203" bootable="false" readonly="false" filename="sdi.mbn"/>
	<partition label="DDR" size_in_kb="32" type="20A0C19C-286A-42FA-9CE7-F64C3226A794" bootable="false" readonly="true"/>
	<partition label="aboot" size_in_kb="512" type="400FFDCD-22E0-47E7-9A23-F16ED9382388" bootable="false" readonly="false" filename="emmc_appsboot.mbn"/>
	<partition label="rpm" size_in_kb="500" type="098DF793-D712-413D-9D4E-89D711772228" bootable="false" readonly="false" filename="rpm.mbn"/>
	<partition label="boot" size_in_kb="10240" type="20117f86-E985-4357-B9EE-374BC1D8487D" bootable="false" readonly="true" filename="boot.img"/>
	<partition label="tz" size_in_kb="500" type="A053AA7F-40B8-4B1C-BA08-2F68AC71A4F4" bootable="false" readonly="false" filename="tz.mbn"/>
	<partition label="pad" size_in_kb="1024" type="EBD0A0A2-B9E5-4433-87C0-68B6B72699C7" bootable="false" readonly="false" filename=""/>
	<partition label="modemst1" size_in_kb="1536" type="EBBEADAF-22C9-E33B-8F5D-0E81686A68CB" bootable="false" readonly="false" filename="cefs_null.mbn"/>
	<partition label="modemst2" size_in_kb="1536" type="0A288B1F-22C9-E33B-8F5D-0E81686A68CB" bootable="false" readonly="false" filename="cefs_null.mbn"/>
	<partition label="system" size_in_kb="917504" type="EBD0A0A2-B9E5-4433-87C0-68B6B72699C7" bootable="false" readonly="true" filename="system.img" sparse="false"/>
	<partition label="userdata" size_in_kb="1900527" type="EBD0A0A2-B9E5-4433-87C0-68B6B72699C7" bootable="false" readonly="true" filename="null_data.img" sparse="false"/>
	<partition label="persist" size_in_kb="32768" type="EBD0A0A2-B9E5-4433-87C0-68B6B72699C7" bootable="false" readonly="true" filename="persist.img" sparse="false"/>
	<partition label="cache" size_in_kb="262144" type="EBD0A0A2-B9E5-4433-87C0-68B6B72699C7" bootable="false" readonly="true" filename="null_data.img" sparse="false"/>
	<partition label="recovery" size_in_kb="10240" type="20117f86-E985-4357-B9EE-374BC1D8487D" bootable="false" readonly="true" filename="recovery.img"/>
	<partition label="misc" size_in_kb="1024" type="20117f86-E985-4357-B9EE-374BC1D8487D" bootable="false" readonly="false" filename="" />
	<partition label="fsg" size_in_kb="1536" type="638FF8E2-22C9-E33B-8F5D-0E81686A68CB" bootable="false" readonly="true" filename="fs_image.tar.gz.mbn.img"/>
	<partition label="fsc" size_in_kb="1" type="57B90A16-22C9-E33B-8F5D-0E81686A68CB" bootable="false" readonly="false" filename=""/>
	<partition label="ssd" size_in_kb="8" type="2C86E742-745E-4FDD-BFD8-B6A7AC638772" bootable="false" readonly="false" filename=""/>
	<partition label="factory" size_in_kb="4" type="EBD0A0A2-B9E5-4433-87C0-68B6B72699CB" bootable="false" readonly="false" filename="factory.img" />
	<partition label="splash" size_in_kb="10240" type="20117f86-E985-4357-B9EE-374BC1D8487D" bootable="false" readonly="true" filename="splash.img" />
	<partition label="safeKeybox" size_in_kb="4" type="EBD0A0A2-B9E5-4433-87C0-68B6B72699C7" bootable="false" readonly="true" filename="" />
	<!--<partition label="grow" size_in_kb="5" type="EBD0A0A2-B9E5-4433-87C0-68B6B72699C7" bootable="false" readonly="false" filename=""/>-->
  </physical_partition>

  </configuration>
